PipeWire 0.1.9

Public Member Functions | Data Fields
pw_loop Class Reference

PipeWire loop object provides an implementation of the spa loop interfaces. More...

## Public Member Functions
struct pw_loop * | pw_loop_new (struct pw_properties *properties)
| Create a new loop. More...
void | pw_loop_destroy (struct pw_loop *loop)
| Destroy a loop. More...

## Data Fields
struct spa_loop * | loop
| wrapped loop More...
struct spa_loop_control * | control
| loop control More...
struct spa_loop_utils * | utils
| loop utils More...

## Detailed Description

PipeWire loop object provides an implementation of the spa loop interfaces.

It can be used to implement various event loops.

## Member Function Documentation

## ◆ pw_loop_destroy()

void pw_loop_destroy | ( | struct pw_loop * | loop | ) |

Destroy a loop.

Parameters

  loop | a loop to destroy

Referenced by pw_data_loop::pw_data_loop_destroy(), and pw_main_loop::pw_main_loop_destroy().

## ◆ pw_loop_new()

struct pw_loop * pw_loop_new | ( | struct pw_properties * | properties | ) |

Create a new loop.

Returns
  a newly allocated loop

References pw_get_support(), pw_get_support_factory(), and impl::this.

Referenced by pw_data_loop::pw_data_loop_new(), and pw_main_loop::pw_main_loop_new().

## Field Documentation

## ◆ control

struct spa_loop_control* pw_loop::control

loop control

## ◆ loop

struct spa_loop* pw_loop::loop

wrapped loop

Referenced by pw_core::pw_core_new(), pw_data_loop_get_loop(), pw_data_loop::pw_data_loop_in_thread(), pw_data_loop::pw_data_loop_start(), pw_data_loop::pw_data_loop_stop(), pw_main_loop_get_loop(), pw_main_loop::pw_main_loop_quit(), pw_main_loop::pw_main_loop_run(), and pw_thread_loop_get_loop().

## ◆ utils

struct spa_loop_utils* pw_loop::utils

loop utils

Referenced by pw_core::pw_core_new().

The documentation for this class was generated from the following files:

- loop.h
- loop.c